Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2345 - Inappropriate "cannot remove DIR - directory not empty"
Summary: Inappropriate "cannot remove DIR - directory not empty"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-23 16:43 UTC by jamie
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-11 15:35:46 UTC


Attachments (Terms of Use)

Description jamie 1999-04-23 16:43:43 UTC
I encounted this when upgrading from gimp-1.0.1-2.i386.rpm
to gimp-1.0.4-3.i386.rpm:

cannot remove /usr/lib/gimp - directory not empty

I get it from time to time with other packages too.
The message is inappropriate because /usr/lib/gimp is
actually used by the new package.  However it is not
explicitly listed by the package: the directory
/usr/lib/gimp/1.0 is listed, and /usr/lib/gimp is implied by
that.

I suspect the previous version did have /usr/lib/gimp in the
directory list, hence the message.

Suggestion: Don't try to delete directories whose existence
is implied by other directories from another package.  One
way would be to add entries for those implied directories to
the database, with a flag to say they're implied.

Comment 1 Jeff Johnson 1999-05-11 15:35:59 UTC
Rpm cannot remove directories that are not empty while attempting to
remove a package. Furthermore, the bug is often in the already
released package so we cannot always repackage to work around
the problem.


Note You need to log in before you can comment on or make changes to this bug.